Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515308 - [RFE] [HC] Disable unrelated gluster hooks during host deploy
Summary: [RFE] [HC] Disable unrelated gluster hooks during host deploy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ovirt-4.2.2
: 4.2.2.4
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1134318
TreeView+ depends on / blocked
 
Reported: 2017-11-20 14:35 UTC by Sahina Bose
Modified: 2018-05-14 15:10 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-4.2.2.4
Doc Type: Enhancement
Doc Text:
Hook evaluation on gluster events can decrease performance, this update disables hooks that are irrelevant on hyperconverged deployments, for example SMB and NFS hooks.
Clone Of:
Environment:
Last Closed: 2018-05-14 15:10:30 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.2+
ylavi: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 88117 master MERGED gluster: Disable unrelated gluster hooks 2018-02-27 11:21:38 UTC
oVirt gerrit 88280 ovirt-engine-4.2 MERGED gluster: Disable unrelated gluster hooks 2018-03-07 14:01:32 UTC

Description Sahina Bose 2017-11-20 14:35:08 UTC
Description of problem:

While adding hosts to a hyperconverged cluster, gluster hooks that are not needed for this deployment should be disabled , that is, hooks related to SMB, NFS-Ganesha and CTDB.

 (similar to the flow in cockpit-gdeploy plugin, see https://github.com/gluster/gdeploy/blob/master/extras/scripts/disable-gluster-hooks.sh)


Version-Release number of selected component (if applicable):
NA

Comment 1 Yedidyah Bar David 2017-11-21 15:28:51 UTC
(In reply to Sahina Bose from comment #0)
> Description of problem:
> 
> While adding hosts to a hyperconverged cluster, gluster hooks that are not
> needed for this deployment should be disabled , that is, hooks related to
> SMB, NFS-Ganesha and CTDB.
> 
>  (similar to the flow in cockpit-gdeploy plugin, see
> https://github.com/gluster/gdeploy/blob/master/extras/scripts/disable-
> gluster-hooks.sh)
> 

This is a bit ugly, no? Isn't there a cleaner way? Perhaps provide the content of above script as an official gluster command or something like that? If one day you need to rename any of these files, or add another one, do you really want to have to patch both ovirt-host-deploy and gdeploy?

Should we fail if the renames fail?

Is there any way to undo/rollback? Or if you want to use the machine for SMB/Ganesha/etc you are supposed to reinstall it?

Comment 2 Sahina Bose 2017-11-22 14:46:16 UTC
(In reply to Yedidyah Bar David from comment #1)
> (In reply to Sahina Bose from comment #0)
> > Description of problem:
> > 
> > While adding hosts to a hyperconverged cluster, gluster hooks that are not
> > needed for this deployment should be disabled , that is, hooks related to
> > SMB, NFS-Ganesha and CTDB.
> > 
> >  (similar to the flow in cockpit-gdeploy plugin, see
> > https://github.com/gluster/gdeploy/blob/master/extras/scripts/disable-
> > gluster-hooks.sh)
> > 
> 
> This is a bit ugly, no? Isn't there a cleaner way? Perhaps provide the
> content of above script as an official gluster command or something like
> that? If one day you need to rename any of these files, or add another one,
> do you really want to have to patch both ovirt-host-deploy and gdeploy?

Unfortunately, this is currently the only way to disable hooks.

> 
> Should we fail if the renames fail?

I think no.

> 
> Is there any way to undo/rollback? Or if you want to use the machine for
> SMB/Ganesha/etc you are supposed to reinstall it?

We do have a way to enable the hooks from oVirt via UI/API.

Comment 3 SATHEESARAN 2018-05-12 11:43:51 UTC
Tested with RHV 4.2.3-6 and gluster-3.12

1. When the nodes are added in to hyperconverged cluster, the gluster hooks are disabled.

State of hooks post adding the host to the hyperconverged cluster

[root@localhost ~]# tree /var/lib/glusterd/hooks/
/var/lib/glusterd/hooks/
└── 1
    ├── add-brick
    │   ├── post
    │   │   ├── disabled-quota-root-xattr-heal.sh
    │   │   └── S13create-subdir-mounts.sh
    │   └── pre
    │       └── S28Quota-enable-root-xattr-heal.sh
    ├── create
    │   ├── post
    │   └── pre
    ├── delete
    │   ├── post
    │   │   └── S57glusterfind-delete-post -> /usr/libexec/glusterfs/glusterfind/S57glusterfind-delete-post.py
    │   └── pre
    ├── gsync-create
    │   ├── post
    │   │   └── S56glusterd-geo-rep-create-post.sh
    │   └── pre
    ├── remove-brick
    │   ├── post
    │   └── pre
    ├── reset
    │   ├── post
    │   └── pre
    ├── set
    │   ├── post
    │   │   ├── D30samba-set.sh
    │   │   └── S32gluster_enable_shared_storage.sh
    │   └── pre
    ├── start
    │   ├── post
    │   │   ├── D29CTDBsetup.sh
    │   │   └── D30samba-start.sh
    │   └── pre
    └── stop
        ├── post
        └── pre
            ├── D29CTDB-teardown.sh
            └── D30samba-stop.sh

28 directories, 11 files

Comment 4 Sandro Bonazzola 2018-05-14 15:10:30 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.